Search Task

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/task
API call form
Examples
List of examples
  • Retrieve a data export task
  • Retrieve the latest tasks for a schedule
Description

List the most recent tasks produced by a schedule, for example a scheduled export, dataset synchronization, Warp acceleration, or alert. Replace the schedule ID with the ID of the schedule you want to inspect.

Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 2,
  "rows": [
    {
      "id": "3c1e8d2a-7b14-4c90-9e2f-8a6b0d4c1f22",
      "type": "dataexport",
      "status": "completed",
      "entity_id": "625fb04c-47ca-42f1-98e5-a4307548355f",
      "schedule_id": "< schedule ID >",
      "requested_at": "2026-09-24T08:00:02.000Z",
      "started_at": "2026-09-24T08:00:03.000Z",
      "completed_at": "2026-09-24T08:00:18.000Z",
      "error": null,
      "result": {
        "downloadUrl": "https://app.luzmo.com/data-export/3c1e8d2a-7b14-4c90-9e2f-8a6b0d4c1f22?key=< key >&token=< token >",
        "expiresAt": 1790856018000
      }
    },
    {
      "id": "29b8bb5a-e946-4cf6-8960-5a7ba1163e93",
      "type": "dataexport",
      "status": "completed",
      "entity_id": "625fb04c-47ca-42f1-98e5-a4307548355f",
      "schedule_id": "< schedule ID >",
      "requested_at": "2026-09-23T13:14:02.000Z",
      "started_at": "2026-09-23T13:14:03.000Z",
      "completed_at": "2026-09-23T13:14:12.000Z",
      "error": null,
      "result": {
        "downloadUrl": "https://app.luzmo.com/data-export/29b8bb5a-e946-4cf6-8960-5a7ba1163e93?key=< key >&token=< token >",
        "expiresAt": 1790774052176
      }
    }
  ]
}